@import '../../assets/styles/common.scss';

.create-challenge {
  &__content {
    display: flex;
    justify-content: center;
    width: 100%;
    height: calc(100vh - 11rem - 13.8rem);
    overflow: auto;
  }

  &__title {
    font-style: italic;
    font-size: 5rem;
    text-transform: capitalize;
    letter-spacing: 0;
  }

  &__wrapper {
    width: 100%;
    max-width: 120rem;
    height: fit-content;
    margin: 10rem 2.5rem 0;
    padding: 6.5rem 0 10rem;
    border: 1px solid #3399ff;
    border-radius: 3rem;
    text-align: center;
    background: $challenge-background__color 0% 0% no-repeat padding-box;
  }

  &__error {
    margin-top: 5rem;
    text-align: center;

    & p {
      color: $red;
    }
  }

  &__error {
    margin-top: 5rem;
    text-align: center;

    & p {
      color: $red;
    }
  }

  &__footer {
    position: relative;
    width: 100%;
    height: 10rem;
  }

  @media only screen and (max-width: 1400px) {
    &__title {
      font-size: 3rem;
    }

    &__content {
      height: calc(100vh - 20rem);
    }

    &__footer {
      height: 8.5rem;
    }
  }
}
